/* Base for label styling */
[type="checkbox"]:not(:checked),
[type="checkbox"]:checked {
  position: absolute;
  left: -9999px;
}
[type="checkbox"]:not(:checked) + label,
[type="checkbox"]:checked + label {
  position: relative;
  padding-left: 1.95em;
  cursor: pointer;
}

/* checkbox aspect */
[type="checkbox"]:not(:checked) + label:before,
[type="checkbox"]:checked + label:before {
  content: '';
  position: absolute;
  left: 0; top: 0;
  width: 1.25em; height: 1.25em;
  border: 2px solid $color-grey-light;
  background: $color-white;
  border-radius: 2px;
  // box-shadow: inset 0 1px 3px rgba(0,0,0,.1);
}
/* checked mark aspect */
[type="checkbox"]:not(:checked) + label:after,
[type="checkbox"]:checked + label:after {
  // content: '✖';
  content: '×';
  position: absolute;
  top: .1em; left: .25em;
  font-size: 1.2em;
  line-height: 0.8;
  color: $color-primary;
  transition: all .2s;
  // background-color: red;
}
/* checked mark aspect changes */
[type="checkbox"]:not(:checked) + label:after {
  opacity: 0;
  transform: scale(0);
}
[type="checkbox"]:checked + label:after {
  opacity: 1;
  transform: scale(1);
}

/* hover style just for information */
label:hover:before {
  border: 2px solid $color-primary-dark !important;
}

/* disabled checkbox */
[type="checkbox"]:disabled:not(:checked) + label:before,
[type="checkbox"]:disabled:checked + label:before {
  box-shadow: none;
  border-color: $color-grey-light;
  background-color: lighten($color-grey-light, 15%);
}
[type="checkbox"]:disabled:checked + label:after {
  color: $color-grey-light;
}
[type="checkbox"]:disabled + label {
  color: $color-grey-light;
  cursor: default;
}

[type="checkbox"]:disabled:not(:checked) + label:hover:before,
[type="checkbox"]:disabled:checked + label:hover:before {
  border: 2px solid $color-grey-light !important;
}
/* accessibility */
[type="checkbox"]:checked:focus + label:before,
[type="checkbox"]:not(:checked):focus + label:before {
  border: 2px solid $color-primary-dark;
}
